LIST      P=16F84, F=INHX8M
            include "P16F84.inc"
;  =20- 
;  :

#define xoll		portb,1 ;
#define propusk		porta,4 ;
#define vmt1		portb,6 ;
#define vmt2		portb,7 ;

zubCount	equ	0E	;  

cnt1 	 	equ	11	;
cnt2  		equ	12	;
time_1_zub 	equ	13	;   

pcl		equ	02
pclath		equ	0A
intcon		equ	0B
portb		equ	06
status		equ	03
option_reg	equ	81
trisa		equ	85
trisb		equ	86
tmr0		equ	01
porta		equ	05
fsr		equ	04
indf		equ	00
EEDATA	equ	08
EEADR	equ	09

		goto nachalo  ;iskra ;del_L ;shet_8 ;



nachalo			
			bsf     status,5	;    1.
			movlw  	 0x0F     ; RA4 - "1"  58-  59- 
			movwf   trisa
 			movlw   0x3D	; RB1-,RB0- 
			movwf  	trisb		; RB6- 1,RB7- 2

			movlw  	 0xA0;           
			movwf  option_reg
			bcf     status,5	;    0.
			clrf	portb 
			clrf	porta
			clrf intcon	;  

st		btfsc	portb, 0x00 ; 
         	goto	st ;

init		bsf 	xoll ;  1 -  =0
		bcf  	propusk	; 

shet_30		movlw  	 .30 ; 
		movwf   zubCount	

vershina	bcf     status,2 ; VMT-1
		movf    zubCount, W ; 20- ?
		xorlw   .10	; 
	      	btfsc   status,2 ; 20   1
		bsf     portb , 06
	
			btfsc	portb, 0x00 ;     
         	goto	vershina ; 

vpadina		btfss	portb, 0x00 ;a
        	goto	vpadina
			bcf     portb , 06
			decfsz	zubCount ; 
        	goto	vershina ;  
			bcf 	xoll ;     30- 

			btfsc	portb, 0x00 ;a
        	goto	$-1
			bsf 	xoll

shet_28	 	movlw  	 .28 ; 50-   2
			movwf   zubCount

versh		bcf     status,2 ; VMT-2
			movf    zubCount, W ; 50- ?
			xorlw   .8	; 
	      	btfsc   status,2 ; 50   1
			bsf     portb , 07

			btfsc	portb, 0x00 ;     
        	goto	versh ; 

vpad		btfss	portb, 0x00 ;a
        	goto	vpad
			bcf     portb , 07
			decfsz	zubCount ; 
        	goto	versh ;
			btfsc	portb, 0x00 ;a
        	goto	$-1
			nop
			nop
			nop
			nop
			bsf  	propusk	; 

zub59_60	movlw  	 0x02;
			movwf	cnt1 	
sp2			btfsc	portb, 0x00 ; - 2-   =1
        	goto	sp2
test		btfss	portb, 0x00 ;a
        	goto	test ;    
			bcf 	xoll ;  
        	decfsz	cnt1 ;
        	goto	sp2
			btfsc	portb, 0x00 ;a  2-  
        	goto	$-1
        	goto	init ;  2-  



        ORG     0x2000  ;  
            DATA    0x0F
            DATA    0x0F
            DATA    0x0F
            DATA    0x0F
 
            ORG     0x2007
            DATA    0xF9 ; XT 

            END

